import RoomBuilder from '../../engine/builders/room';

export default new RoomBuilder()
.withID("start")
.withTitle("The starting room")
.withFirstDescription("You set foot in your very first room")
.withDescription("The first room. Nothing special about it.")
.withExit("north", "tunnel_1")
.withEnterCallback(async function(context) {
    const { output, wait } = context;
    context.enableCommandInput(false);
    output.say("You slowly wake up");
    await wait(5000);
    output.say("It's strange. You never used to be able to be conscious about the fact that you were waking up.");
    await wait(5000);
    output.say("Yet here we are.");
    context.enableCommandInput(true);
})
.withItem("stone")
.create();